Skip to main content
GET
/
rest
/
firm-product-limit
/
{firm_uuid}
Get Firm Product Limits
curl --request GET \
  --url https://api.exchange.fairx.net/rest/firm-product-limit/{firm_uuid}
import requests

url = "https://api.exchange.fairx.net/rest/firm-product-limit/{firm_uuid}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.exchange.fairx.net/rest/firm-product-limit/{firm_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "firm_uuid": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
    "product_code": "BIPZ30",
    "product_name": "Bitcoin Perpetual Index Futures Dec 2030",
    "trading_disabled": false
  }
]

Path Parameters

firm_uuid
string
required

The UUID of the firm to get product group limits for

Example:

"f81d4fae-7dec-11d0-a765-00a0c91e6bf6"

Query Parameters

product_code
string

The product Code to query limits (exclude to query all products)

Example:

"BIPZ30"

Response

Successfully retrieved firm product limits

firm_uuid
string
Example:

"f81d4fae-7dec-11d0-a765-00a0c91e6bf6"

product_code
string
Example:

"BIPZ30"

product_name
string
Example:

"Bitcoin Perpetual Index Futures Dec 2030"

trading_disabled
boolean
Example:

false